.c-footer {
  @include gradient;

  color: $c-white;
}

.c-footer__container {
  max-width: $max-width;
  margin-right: auto;
  margin-left: auto;
}

.c-footer__inner {
  padding: $gutter * 2 $gutter $gutter $gutter;
}

.c-footer__row {
  display: flex;
  flex-wrap: nowrap;
  justify-content: space-between;

  // < 900
  @include sm-max {
    flex-direction: column;
    justify-content: center;
  }
}

.c-footer__row + .c-footer__row {
  margin-top: $gutter;
}

.c-footer__row--first {
  // < 1200
  @include md-max {
    flex-direction: column;
    justify-content: center;
  }
}

.c-footer__row--last {
  // 901 +
  @include md-min {
    align-items: center;
  }
}

.c-footer__row--last > * {
  // 901 +
  @include md-min {
    width: calc(100% * (1 / 3));
  }
}

.c-footer__column + .c-footer__column {
  // < 900
  @include sm-max {
    margin-top: $gutter;
  }
}

.c-footer__column--left {
  // 1201+
  @include lg-min {
    padding-right: $gutter * 0.75;
  }
}

.c-footer__column--right {
  // 1201+
  @include lg-min {
    padding-left: $gutter * 0.75;
    max-width: calc(100% * (3 / 4) - #{$gutter * 0.75});
  }

  // < 1200
  @include md-max {
    margin-top: $gutter;
  }
}

.c-footer__row > *,
.c-footer__column {
  // < 900
  @include sm-max {
    width: 100%;
  }
}

.c-footer .o-menu-social__list {
  justify-content: flex-end;

  // < 900
  @include sm-max {
    justify-content: center;
  }
}

.c-footer__text p:last-child,
.c-footer-logos__text p:last-child {
  margin-bottom: 0;
}

.c-footer .o-link--underlined {
  @include underline(
      $c-white,
      $height: 6%,
      $background-position: 91%,
  );
}

// Footer logos //-----------------------------------------------------------
.c-footer__headline {
  margin-bottom: $gutter;

  // < 900
  @include sm-max {
    text-align: center;
  }
}

.c-footer__column {
  // < 900
  @include sm-max {
    text-align: center;
  }
}

.c-footer-logos__items {
  display: flex;
  flex-wrap: nowrap;
  align-items: center;

  // < 900
  @include sm-max {
    justify-content: center;
  }

  // < 600
  @include xs-max {
    flex-direction: column;
  }
}

.c-footer-logos__item {
  margin-top: $gutter / 4;
  margin-right: $gutter * 0.75;

  // < 600
  @include xs-max {
    margin-top: $gutter / 2;
    margin-right: 0;
  }
}

.c-footer-logos__item:last-child {
  margin-right: 0;
}

.c-footer-logos + .c-footer-logos {
  margin-top: $gutter;
}

// Camp logos
.c-footer-logos__item--berlin img,
.c-footer-logos__item--berlin svg {
  max-width: 90px;
  max-height: 90px;

  // < 1440
  @include lg-max {
    max-width: 85px;
    max-height: 85px;
  }

  // < 900
  @include sm-max {
    max-width: 75px;
    max-height: 75px;
  }
}

.c-footer-logos__item--munich img,
.c-footer-logos__item--munich svg {
  max-width: 90px;
  max-height: 90px;

  // < 1440
  @include lg-max {
    max-width: 85px;
    max-height: 85px;
  }

  // < 900
  @include sm-max {
    max-width: 75px;
    max-height: 75px;
  }
}

.c-footer-logos__item--rheinruhr img,
.c-footer-logos__item--rheinruhr svg {
  max-width: 90px;
  max-height: 90px;

  // < 1440
  @include lg-max {
    max-width: 85px;
    max-height: 85px;
  }

  // < 900
  @include sm-max {
    max-width: 75px;
    max-height: 75px;
  }
}


// Value sponsors
.c-footer-logos__item--brandung img,
.c-footer-logos__item--brandung svg {
  max-width: 140px;
  max-height: 42px;

  // < 1440
  @include lg-max {
    max-width: 120px;
    max-height: 36px;
  }

  // < 900
  @include sm-max {
    max-width: 100px;
    max-height: 30px;
  }
}

.c-footer-logos__item--dreipc img,
.c-footer-logos__item--dreipc svg {
  max-width: 100px;
  max-height: 53px;

  // < 1440
  @include lg-max {
    max-width: 90px;
    max-height: 48px;
  }

  // < 900
  @include sm-max {
    max-width: 75px;
    max-height: 40px;
  }
}

.c-footer-logos__item--cps img,
.c-footer-logos__item--cps svg {
  width: 150px;
  height: 72px;

  // < 1440
  @include lg-max {
    max-width: 90px;
    max-height: 48px;
  }

  // < 900
  @include sm-max {
    max-width: 75px;
    max-height: 40px;
  }
}

.c-footer-logos__item--ecentral img,
.c-footer-logos__item--ecentral svg {
  max-width: 80px;
  max-height: 80px;

  // < 900
  @include sm-max {
    max-width: 70px;
    max-height: 70px;
  }
}

// Footer menu //------------------------------------------------------------
.o-menu-footer {
  // < 900
  @include sm-max {
    margin-bottom: $gutter;
    text-align: center;
  }
}

.o-menu-footer__list {
  @include reset-list;
}

.o-menu-footer__item {
  display: inline-block;
  margin-right: $gutter / 2;
  font-size: 18px;

  // < 600
  @include xs-max {
    display: block;
    margin-right: 0;
    margin-bottom: 1rem;
  }
}

.o-menu-footer__item:last-child {
  margin-right: 0;
}

.o-menu-footer__link {
  // States //-----------------------------------------------------------------
  &:focus,
  &:hover,
  &:active {
    color: $c-orange;
  }
}

// Footer statement //-------------------------------------------------------
.c-footer__statement {
  text-align: center;

  // < 900
  @include sm-max {
    margin-bottom: $gutter;
  }
}

.c-footer__statement p {
  margin-bottom: 0;
  font-size: 18px;
}
